Skip to main content
POST
/
crm
/
associations
/
2026-03
/
{fromObjectType}
/
{toObjectType}
/
batch
/
create
Associate records (labelled)
curl --request POST \
  --url https://api.hubapi.com/crm/associations/2026-03/{fromObjectType}/{toObjectType}/batch/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "from": {
        "id": "<string>"
      },
      "to": {
        "id": "<string>"
      },
      "types": [
        {
          "associationCategory": "HUBSPOT_DEFINED",
          "associationTypeId": 123
        }
      ]
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "fromObjectId": "<string>",
      "fromObjectTypeId": "<string>",
      "labels": [
        "<string>"
      ],
      "toObjectId": "<string>",
      "toObjectTypeId": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

fromObjectType
string
required

The type of the from Object

toObjectType
string
required

The type of the to Object

Body

application/json
inputs
object[]
required

Response

successful operation

completedAt
string<date-time>
required

The timestamp when the batch processing was completed, in ISO 8601 format.

results
object[]
required
startedAt
string<date-time>
required

The timestamp when the batch processing began, in ISO 8601 format.

status
enum<string>
required

The status of the batch processing request: "PENDING", "PROCESSING", "CANCELLED", or "COMPLETE".

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

An object containing relevant links related to the batch request.

numErrors
integer<int32>

The number of errors encountered during the batch processing.

requestedAt
string<date-time>

The timestamp when the batch request was initially made, in ISO 8601 format.

Last modified on March 30, 2026